Василий Оленюк

Нет модуля WireCutEDM в SolidCam

Здравствуйте. Никак не могу понять почуме у меня нет модуля WireCutEDM. Создал заготовку и хочу поекспериментировать в КАМ системе но там ет електроерозии. Фрезерная, ТокарноФрезеная и т.д. все есть а нужной нету. Подстажите что и как делать?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах


А у  вас пост под эрозию есть ? 

Если нету поста , то и обработка не активна 

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Поста нету думал на стандартном что то попробую изучать. Так светится стандар пост Makino. Или я что то не понимаю

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Только что, Василий Оленюк сказал:

Так светится стандар пост Makino. Или я что то не понимаю

Можно, в принципе , переделать постпроцессор под вашу систему. Найти осталось кто сможет.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

конечно можно! приходилось вырезать, на проволочно-вырезном станке с ЧПУ DK7732AZ (CHINA) и на GF Agie Charmilles.

давно это было.. я тогда, кажись из фрезерного поста переделал под это дело. пост, кажись обзывался как то вроде мастер милл или супер-мастер.. я сейчас уже и не помню..

там команды в посте убрал все фрезерные и заменил только пару кодов под эрозию. там уп получался чисто по траектории контура под вырез... делал через операцию фрезерования.

Изменено пользователем pavel-kpll

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
В 25.07.2017 в 14:06, Василий Оленюк сказал:

почуме у меня нет модуля WireCutEDM

Там баг установщика.

Поставьте сначала 2012 версию SC и зайдите в эрозию. Это всё )

Теперь можно удалить 2012 версию и поставить 2016 или 2017 SC - модель эрозии теперь будет активен и там.

1 пользователю понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
25 минут назад, eksodus сказал:

Там баг установщика.

Поставьте сначала 2012 версию SC и зайдите в эрозию. Это всё )

Теперь можно удалить 2012 версию и поставить 2016 или 2017 SC - модель эрозии теперь будет активен и там.

Большое спасибо за помощь.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
В 01.08.2017 в 10:32, eksodus сказал:

Там баг установщика.

Поставьте сначала 2012 версию SC и зайдите в эрозию. Это всё )

Теперь можно удалить 2012 версию и поставить 2016 или 2017 SC - модель эрозии теперь будет активен и там.

Добрый день!

Любой сервис пак 2012 солидкама поможет. Я удалил 2016, поставил 2012, запустил все как надо. Потом удалил 12 и поставил 17. Не появилось....

Нет ли более простого способа?)))

В 01.08.2017 в 10:32, eksodus сказал:

Там баг установщика.

Поставьте сначала 2012 версию SC и зайдите в эрозию. Это всё )

Теперь можно удалить 2012 версию и поставить 2016 или 2017 SC - модель эрозии теперь будет активен и там.

Добрый день!

Любой сервис пак 2012 солидкама поможет. Я удалил 2016, поставил 2012, запустил все как надо. Потом удалил 12 и поставил 17. Не появилось....

Нет ли более простого способа?)))

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
13 часа назад, vasilxxx сказал:

хэлп. никак не включит эрозию...

ну я именно так включал - ставил 2016 - эрозии нет

потом ставил 2012, делал одну детальку наполовину, сохранял проект

потом удалял 2012 и ставил 2016 - эрозия уже была и там

 

возможно - надо после запуска 2012 версии пройтись по настройкам - но я так не делал

просто запустил, слегка поработал и удалил

 

попробуйте ещё так сделать, может получится

1 пользователю понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
В 22.11.2017 в 12:59, eksodus сказал:

ну я именно так включал - ставил 2016 - эрозии нет

потом ставил 2012, делал одну детальку наполовину, сохранял проект

потом удалял 2012 и ставил 2016 - эрозия уже была и там

 

возможно - надо после запуска 2012 версии пройтись по настройкам - но я так не делал

просто запустил, слегка поработал и удалил

 

попробуйте ещё так сделать, может получится

Спасибо. Буду пробовать. Или дальше писать уп в пепсе((

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Только что, vasilxxx сказал:

Или дальше писать уп в пепсе((

Если в эрозии используете только 2 оси то используйте фрезерный модуль сделав фрезу толщиной равной толщине струны !

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
В 23.11.2017 в 13:20, Frezer_PU сказал:

Если в эрозии используете только 2 оси то используйте фрезерный модуль сделав фрезу толщиной равной толщине струны !

)))

Там выбираются режими резания, и функция обрезания проволоки.

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
В 23.11.2017 в 18:28, vasilxxx сказал:

Спасибо. Буду пробовать. Или дальше писать уп в пепсе((

НУ и как получилось ?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

пробуйте для SC2017, отпишитесь если заработает

Скрытый текст

 

текст сохранить как SC2017_Wire_EDM.reg, закрыть SW, запустить SC2017_Wire_EDM.reg и согласиться с добавлением  в реестр Windows

 

Windows Registry Editor Version 5.00

[HKEY_CURRENT_USER\Software\SolidCAM\SolidCAM2017\CAM Experimental Mode]
"WIRE_EDM"=dword:00000001
"MSStockType"=dword:00000000
"Dump"=dword:00000000

 

 

2 пользователям понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
17 минут назад, NickEL1000 сказал:

пробуйте для SC2017, отпишитесь если заработает

Работает :clap_1:

Скрытый текст

e8a471d231bc67ad57b0d1f65bbd03fe.png

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Еще к работоспособности модуля WireCutEDM.

Для проволоки, помимо файла постпроцессора *.gpp и файла станка *.vmid, (в папке где лежат постпроцессоры) обязательно должна быть технологическая база *.wdb с режимами на проволоку, для конкретного станка, иначе не сможете провести расчет УП.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Создайте аккаунт или войдите для комментирования

Вы должны быть пользователем, чтобы оставить комментарий

Создать аккаунт

Зарегистрируйтесь для получения аккаунта. Это просто!


Зарегистрировать аккаунт

Войти

Уже зарегистрированы? Войдите здесь.


Войти сейчас

  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу



  • Реклама

  • Сообщения

    • Knight of Truth
      По Windows 7 - не знаю. На этой оси у нас обновления не тестировались - так как решили не тратить время и не пробовать снова эту отраву на вкус, ведь принцип действия патчей одинаков, не зависимо от операционной системы, а разработчики Microsoft по указу сверху могут добавлять новые компоненты этих патчей в любые обновления "стабильности" и "безопасности". Интересная информация: компания ASUS уже выкатила новые версии БИОС для своих материнских плат, где в процессор прошивается новый микрокод, устраняющий "уязвимости" системы. Подозреваю, что там припасено дополнительное урезание мощности компьютерного железа.
    • soklakov
      у Ансиса есть старый курс " Aeroacoustics using ANSYS Fluent 14.5 ".   сам не читал, но говорят там довольно понятно всё.
    • Борман
    • Tad
      По поводу дрожания - надо развоздушить систему. Если воздух не обнаружится - пробовать немного уменьшить коэффициент усиления ПИД регулятора осей Y при рабочей скорости. По поводу отключения - мало информации.
    • soklakov
      Крайне интересно. Правильно ли я понял, что Ваша софтина умеет прикладывать нагрузки к кубику, не спрашивая меня, какую из шести граней закрепить, а какую нагрузить? Если так, то тревожит вопрос: откуда она знает?
    • soklakov
      Подробностей? А то и правда, секретный танк, о котором ученые еще ничего не знают, работает при -300 по цельсию.
    • Sla_68
      Можете меня обзывать как хотите, быдло-кодером ну и т.д. Ну хоть убейте меня , я не знаю как выполнить данную задачу без дополнительных построений.  А так код вполне себе рабочий.Определяет все что мне нужно. Только что написал. Выкладываю код. Там имеется еще наборчик пользовательских функций. Но они все тригонометрические. Поэтому пока без них. Sub Назначение_свойств_профиля() 'On Error GoTo ex Dim swFace As SldWorks.face2 Dim swSurf As SldWorks.Surface Dim swDisplayDimension As SldWorks.DisplayDimension Dim swDim As SldWorks.Dimension Dim v1 As SldWorks.Vertex Dim v2 As SldWorks.Vertex Dim swRefAxis As SldWorks.RefAxis Dim vAxisParam As Variant Dim x As Double Dim y As Double Dim z As Double Dim x1 As Double Dim y1 As Double Dim z1 As Double Dim fx As Double Dim fy As Double Dim fz As Double Dim fx1 As Double Dim fy1 As Double Dim fz1 As Double Dim sm() As Double Dim swFeatMgr As SldWorks.FeatureManager Set swApp = Application.SldWorks Set part = swApp.ActiveDoc Set swFeatMgr = part.FeatureManager Set swSelMgr = part.SelectionManager part.SketchManager.AddToDB = True swApp.SetUserPreferenceToggle swSketchAutomaticRelations, False 'автопривязки отключаем swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swSketchInference, False 'прилипание ..отключает все взаимосвязи swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swInputDimValOnCreate, False 'убивает диалог с размером false -выключает диалог tt = part.GetTitle mg = Mid(tt, 10, 2) lRetVal = part.AddCustomInfo3("", "материал", swCustomInfoText, mg) partTitle = part.GetTitle namedetal = partTitle & ".SLDPRT" arrbody = part.GetBodies2(swSolidBody, False) Set body = arrbody(0) glavfaces = вернуть_номера_главных_плоскостей(body) Set swFace = glavfaces(2) Set swSurf = swFace.GetSurface '======================================================== If swSurf.IsPlane Then edjearr = вернуть_2_главных_кромки(swFace1) Set Edge = edjearr(2) params = Edge.GetCurveParams2 x1 = params(0): x2 = params(3): an1 = x1 - x2: bn1 = x2 - x1 'вектор оси y1 = params(1): y1 = params(4): an2 = y1 - y2: bn2 = y2 - y1 z1 = params(2): z1 = params(5): an3 = z1 - z2: bn3 = z2 - z1 pvec = перпендикулярный_вектор(an1, an2, an3) Set axeobj = Edge Set faceObj = swFace ElseIf swSurf.IsCylinder Then params = swFace.GetSurface.CylinderParams x1 = params(0): x2 = params(3): an1 = x1 - x2: bn1 = x2 - x1 'вектор оси y1 = params(1): y1 = params(4): an2 = y1 - y2: bn2 = y2 - y1 z1 = params(2): z1 = params(5): an3 = z1 - z2: bn3 = z2 - z1 pvec = перпендикулярный_вектор(an1, an2, an3) part.Insert3DSketch2 True 'вход строим 3 точки для плоскости Set swSketch = swApp.ActiveDoc.GetActiveSketch2 swSketch.Name = "точка" загрузочная_точка_смещена 0.1, (x1 + x2) / 2, (y1 + y2) / 2, (z1 + z2) / 2, pvec(0), pvec(1), pvec(2), fx0, fy0, fz0 Set swSketchPt0 = part.SketchManager.CreatePoint(fx0, fy0, fz0) part.Insert3DSketch2 True 'выход part.BlankSketch 'скрывает эскизы swSketchPt0.SelectByMark False, 2 swFace.SelectByMark True, 2 bret = part.InsertAxis 'вставка оси Set swFeatMgr = part.FeatureManager swFeatures = swFeatMgr.GetFeatures(True) Set axeobj = swFeatures(UBound(swFeatures)) 'ось axeobj.Name = "ось профиля" axeobj.SelectByMark False, 2 swSketchPt0.SelectByMark True, 2 Set faceObj = part.CreatePlaneThruLineAndPt(False) 'создает плоскость faceObj.Name = "плоскость распила" faceObj.SelectByMark False, 2 axeobj.SelectByMark True, 2 part.BlankRefGeom Else Exit Sub End If '=============================================== загрузочная_точка_смещена 3, x1, y1, z1, an1, an2, an3, fx1, fy1, fz1 'точки оси загрузочная_точка_смещена 3, x2, y2, z2, bn1, bn2, bn3, fx2, fy2, fz2 'точки оси загрузочная_точка_смещена 0.1, fx1, fy1, fz1, pvec(0), pvec(1), pvec(2), fx11, fy11, fz11 'точки будущих линий2 загрузочная_точка_смещена 0.1, fx2, fy2, fz2, pvec(0), pvec(1), pvec(2), fx22, fy22, fz22 'точки будущих линий2 '==================================================== faceObj.SelectByMark False, 2 part.SketchManager.InsertSketch True 'вставка 2D эскиза на рабочей плоскости Set swSketch = swApp.ActiveDoc.GetActiveSketch2 swSketch.Name = "контур_распила" Dim swMathPt1 As SldWorks.MathPoint Dim swMathPt11 As SldWorks.MathPoint Dim swMathPt111 As SldWorks.MathPoint Dim swMathPt2 As SldWorks.MathPoint Dim swMathPt22 As SldWorks.MathPoint Dim swMathPt222 As SldWorks.MathPoint Set swMathPt1 = get2Dpoint(swSketch, fx1, fy1, fz1) Set swMathPt11 = get2Dpoint(swSketch, fx11, fy11, fz11) Set swMathPt2 = get2Dpoint(swSketch, fx2, fy2, fz2) Set swMathPt22 = get2Dpoint(swSketch, fx22, fy22, fz22) Set skSegment1 = part.SketchManager.CreateCenterLine _ (swMathPt1.ArrayData(0), swMathPt1.ArrayData(1), swMathPt1.ArrayData(2), _ swMathPt11.ArrayData(0), swMathPt11.ArrayData(1), swMathPt11.ArrayData(2)) skSegment1.SelectByMark False, 2 axeobj.SelectByMark True, 2 part.SketchAddConstraints "sgPERPENDICULAR" Set skSegment2 = part.SketchManager.CreateCenterLine _ (swMathPt2.ArrayData(0), swMathPt2.ArrayData(1), swMathPt2.ArrayData(2), _ swMathPt22.ArrayData(0), swMathPt22.ArrayData(1), swMathPt22.ArrayData(2)) skSegment2.SelectByMark False, 2 axeobj.SelectByMark True, 2 part.SketchAddConstraints "sgPERPENDICULAR" '======================================================================================== Set v1 = ближайшая_вершина_к_координате(body, fx1, fy1, fz1, vdis1) Set Edge1 = ближайшая_кромка_к_координате(body, fx1, fy1, fz1, edis1) Set v2 = ближайшая_вершина_к_координате(body, fx2, fy2, fz2, vdis2) Set edge2 = ближайшая_кромка_к_координате(body, fx2, fy2, fz2, edis2) '=================================== If vdis1 <= edis1 Then v1.SelectByMark False, 2 Set swStartPt1 = skSegment1.GetStartPoint2 swStartPt1.SelectByMark True, 2 part.SketchAddConstraints "sgCOINCIDENT" Else Edge1.SelectByMark False, 2 skSegment1.SelectByMark True, 2 part.SketchAddConstraints "sgTANGENT" part.SketchAddConstraints "sgCOLINEAR" End If '================= If vdis2 <= edis2 Then v2.SelectByMark False, 2 Set swStartPt2 = skSegment2.GetStartPoint2 swStartPt2.SelectByMark True, 2 part.SketchAddConstraints "sgCOINCIDENT" Else edge2.SelectByMark False, 2 skSegment2.SelectByMark True, 2 part.SketchAddConstraints "sgTANGENT" part.SketchAddConstraints "sgCOLINEAR" End If '===================================== skSegment1.SelectByMark False, 2 skSegment2.SelectByMark True, 2 Set swDisplayDimension = part.AddDimension2(0, 0, 0) Set swDim = swDisplayDimension.GetDimension swDim.DrivenState = 1 swDim.Name = "длина" dlina = """длина@контур_распила@@default@" & namedetal & """" shirina = "1" lRetVal = part.DeleteCustomInfo2("", "длина") lRetVal = part.DeleteCustomInfo2("", "ширина") lRetVal = part.AddCustomInfo3("", "длина", swCustomInfoText, dlina) lRetVal = part.AddCustomInfo3("", "ширина", swCustomInfoText, shirina) part.SketchManager.InsertSketch True 'выход из эскиза part.BlankSketch ' скрыть эскиз part.SketchManager.AddToDB = False swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swSketchInference, True 'прилипание ..отключает все взаимосвязи swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swInputDimValOnCreate, True 'убивает диалог с размером true -включает диалог swApp.SetUserPreferenceToggle swSketchAutomaticRelations, True 'автопривязки включаем End Sub Function ближайшая_вершина_к_координате(body, x, y, z, dis) vList = body.GetVertices Dim arr() As Double Dim edjpoint As Variant Dim arrobj() As Object Dim arrobjdis() As Double If IsEmpty(vList) Then dis = 1000000 Set ближайшая_вершина_к_координате = Nothing Exit Function End If For i = 0 To UBound(vList) edjpoint = vList(i).GetClosestPointOn(x, y, z) 'ближайшая точка ReDim Preserve arr(i) 'массив дистанций ReDim Preserve arrobj(i) arr(i) = длина_линии(x, y, z, edjpoint(0), edjpoint(1), edjpoint(2)) Set arrobj(i) = vList(i) Next i max_min_indexarray arr, max1n, max2n, min1n, min2n dis = arr(min1n) Set ближайшая_вершина_к_координате = arrobj(min1n) End Function Function ближайшая_кромка_к_координате(body, x, y, z, dis) edgeList = body.GetEdges Dim arr() As Double Dim edjpoint As Variant Dim arrobj() As Object Dim arrobjdis() As Double For i = 0 To UBound(edgeList) edjpoint = edgeList(i).GetClosestPointOn(x, y, z) 'ближайшая точка ReDim Preserve arr(i) 'массив дистанций ReDim Preserve arrobj(i) arr(i) = длина_линии(x, y, z, edjpoint(0), edjpoint(1), edjpoint(2)) Set arrobj(i) = edgeList(i) Next i max_min_indexarray arr, max1n, max2n, min1n, min2n dis = arr(min1n) Set ближайшая_кромка_к_координате = arrobj(min1n) End Function Sub max_min_indexarray(mass, max1n, max2n, min1n, min2n) 'сортировка и удаление повторов в массиве max1n = 0 max2n = 0 min1n = 0 min2n = 0 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) > max1 Then max1 = CDbl(mass(i)) Next i max2 = 0 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) = max1 Then max1n = i Exit For End If Next i For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) > max2 And i <> max1n Then max2n = i max2 = mass(i) End If Next i ''''''''''''''''''''''''''''''''''''''''''''''''''обратная min1 = max1 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) < min1 Then min1 = CDbl(mass(i)) Next i min2 = max1 For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) = min1 Then min1n = i Exit For End If Next i For i = LBound(mass) To UBound(mass) If CDbl(mass(i)) < CDbl(min2) And i <> min1n Then min2n = i min2 = CDbl(mass(i)) End If Next i End Sub  
    • vad0000
      В первую очередь выкладывайте машинные параметры станка. 
    • Nevskiyalexxx
      Так то лучше вместо planarа несколько Z-levelов создать - он и припуск будет видеть и деталь гарантированно не зарежет.
    • lexincton
      Поменял вывод инструмента в событии начала траектории Прописать статично эту строку перед инструментом